As of 1.3.0RC1, the CHANGELOG has been moved to the 1.4 CHANGELOG as those two
versions have the same feature set.

11/09/09: Version 1.3.0 beta2
-----------------------------

  * [23745] fixed issues in pagers, switched from IteratorAggregate to Iterator, simplified prevention of unnecessary queries, removed some whitespace
  * [23744] refactored match_names in sfFinder so that it is more readable and perhaps even faster (fixes #6589, patch by Artyom Bisyarin)
  * [23740] added errormessage when none of the tests passed to sfTestFunctionalTask or sfTestUnitTask are not found (fixes #6811)
  * [23739] added hooks for specifying custom propel runtime and generator paths
  * [23737] refactored propel initialization to `sfPropelPluginConfiguration`, cleaned up `sfPropelDatabase` to avoid creating multiple `PropelConfiguration` objects, removed Propel runtime classes from `sfAutoload` since Propel has its own autoloader, deprecated `sfPropel::import()` since `Propel::importClass()` allows autoloading
  * [23720] preventing sendHttpHeaders to run multiple times. Once send the method will silently do nothing (closing #7553)
  * [23709] added debug information for Propel in dev environment by default
  * [23696] updated Propel sfWebDebugPanel to respect configuration done in DebugPDO
  * [23692] now using propel 1.4.0 stable tag
  * [23668] fixed doctrine form inheritance when the foreign key on one inheritance model references another inheritance model
  * [23667] fixed default CRUD generate where file uploads were not taken care of
  * [23651] made sfTask::getRouting() lazy
  * [23600] added real cache key (including prefix) to the partial info panel to aid checking the cache. (closes #7520)
  * [23568] added some more useful output to response tester's isValid method
  * [23549] refactored the app:routes task to give a getRouting() method for all tasks
  * [23545] refactor the project:send-emails task to give a getMailer() method for all tasks
  * [23544] moved getMailer() method from sfAction to sfComponent
  * [23539] Fix to Doctrine model building to allow packages
  * [23527] cleaned up propel upgrade
  * [23526] updated propel upgrade to be smarter and include consideration for nested set builders (closes #7475, closes #7476)
  * [23520] references to external modules in bundled xhtml11 dtd
  * [23518] fixed Cascade schema.yml across multiple plugins generates Plugin classes to wrong directory (closes #7481, thanks adrive)
  * [23516] Added a test to check if the BaseForm class exists when building Doctrine or Propel forms (closes #7491)
  * [23515] fixed Form Helper use of Rich Text Editors broken by changes in autoloader (closes #7498)
  * [23437] fixed askAndValidate() typo (closes #7466)
  * [23430] added hooks allowing to inject readymade config into routing
  * [23394] fixed sfMixer hooks in propel peer classes
  * [23382] added support for XSD and relaxNG to response validation
  * [23380] bundled DTDs to avoid issuing requests to w3.org (closes #7445)
  * [23378] added check for target directory before creating configuration cache in project:optimize, moved fs calls to filesystem object

10/26/09: Version 1.3.0 beta1
-----------------------------

  * [23362] reverted r22731
  * [23361] fixed sfFormFilterDoctrine uses wrong method when filtering a fk with multiple values (closes #7409, thanks aarjona)
  * [23360] fixed plugin tests added multiple times (closes #7082)
  * [23358] fixed hook names sent to sfMixer from base peer classes
  * [23357] tagged custom propel builders as deprecated
  * [23355] fixed possible creation of inconsistent new lines in class manipulator (refs #7442)
  * [23350] fixed null transport service name call
  * [23346] fixed bootstrapping propel unit tests with correct include path
  * [23344] made DateHelperTest more robust by using a single timestamp rather than letting date() obtain them on their own
  * [23343] fixed phpdoc of sfTesterMailer (closes #7391)
  * [23342] fixed margin on admin generator fieldset headings
  * [23338] updated phpDoc of sfFilter:initialize to correctly state that no exceptions are thrown and true is always returned (closes #7426)
  * [23336] getAllPluginPaths does not need to exclude version control files. Excluding them is slightly slower without benefit (refs #7433)
  * [23334] WebDebug panels from Doctrine and Propel list ORM Version. (refs #7432)
  * [23327] fixed sfFinder phpDoc and type comparison (closes #7435)
  * [23322] added optional author argument to generate:project task
  * [23320] added "symfony" to autoloader excludes for better BC (closes #7424, closes #7401)
  * [23317] fixed creation of consolidated doctrine schema file may fail under certain circumstances (refs #7428)
  * [23314] added doc tags for sfDoctrineRecord magic methods (closes #7064)
  * [23310] added copyright notices to propel behaviors, remove some unneeded generated methods
  * [23309] removed xslt from propel integration in favor of new build property for adding default behaviors
  * [23308] added build of model to propel form and filter builds in propel:build task
  * [23307] added parameters to the "symfony" propel behavior to disable the generation of forms and/or filters (refs #7139)
  * [23306] ported symfony's custom propel builders to propel's new behaviors system
  * [23296] Fixing issues caused by latest changes in Doctrine 1.2
  * [23292] fixed sfPeerBuilder refers to variable in behaviours but it has changed to in propel 1.4 (closes #7414)
  * [23234] further shortened plugin paths shown in test harness
  * [23232] fixed unexpected removal of tokens in class manipulator, renamed vars per js parlance
  * [23227] cleaned up render of phing errors
  * [23220] enhanced sfTesterResponse with isValid() method for testing whether a response is well-formed and (optionally) validates against its doctype
  * [23218] fixed identity check for windows color support (closes #7395)
  * [23214] refactored sfForm::renderHiddenFields() so rendering of embedded hidden fields can be switched off, updated admin generators to do so (closes #7394)
  * [23207] made generate:project orm option case insensitive
  * [23205] fixed project autoloading in unit tests
  * [23204] fixed iteration over a sfDoctrinePager object (closes #7355)
  * [23203] fix exception in freshly generated app in an orm-less project
  * [23201] cleaned up doctrine query debug to be a little easier to read
  * [23200] added custom lime harness to cleanup output of plugin paths
  * [23199] added upgrade for changed sfFormDoctrine method signature
  * [23196] added form errors to WDT view panel (closes #7371)
  * [23194] added a --actions-base-class options to tasks that generate modules (closes #5995)
  * [23193] enhanced generate:app task to check for a skeleton in the directory in the project, similar to how generate:module works already
  * [23187] added a way to pass form options to the getForm() method of [Module]GeneratorConfiguration class (closes #6065)
  * [23186] fixed a notice (closes #7384)
  * [23183] added support for colorized output under windows with ansicon (closes #7359)
  * [23180] fixed phpdoc return value for findRoute (closes #7380)
  * [23169] added bound validation on integer types (closes #7370)
  * [23156] fixed implementation of data loader task in build tasks, fixed use of merged schema file in doctrine clean task, made deletion of old doctrine model and form files more precise in delete task
  * [23117] fixed empty_value for generated propel validators (closes #7363)
  * [23113] added additional Constant checking for delivery strategy in mailer. (fixes #7362 patch by Pascal)
  * [23081] removed sf_doc_dir constant
  * [23080] fixed cache option "vary" with custom values creates wrong cacheKey (closes #7354)
  * [23079] fixed wrong class name generated for filter if not specified in generator.yml (closes #7327)
  * [23077] added a new default_params options for sfObjectRouteCollection (closes #7331, patch from nicolas)
  * [23076] fixed propel:build-all-load task (refs #7346)
  * [23075] fixed error when passing an option that does not exist (refs #7346)
  * [23073] added an exception in sfValidatorFile when file_uploads is disable in php.ini (closes #7345)
  * [23064] added type hints to generated form classes (closes #6344)
  * [23063] rewrote task autoloader initialization and reloading so autoload.yml is respected and newly-generated classes are immediately available (closes #5093)
  * [23062] fixed placement of BaseFormFilterPropel (closes #6117)
  * [23060] reverted r22929, fixed overridden class paths in sfSimpleAutoload (refs #7142, refs #7299) this fix also prevents lib files from being scanned for classes after each reload in doctrine:build --all, for example
  * [23059] fixed schema merging when a schema file is empty (closes #7349)
  * [23048] added configuration cascade to the merging of plugin and project doctrine schema files (closes #7342, closes #7344)
  * [23047] switched doctrine external back to HEAD
  * [23020] corrected doctrine task documentation
  * [23019] cleaned up use of cli config in doctrine tasks, added method to doctrine base task to prepare project and plugin schema files for doctrine (refs #7306)
  * [23018] changed new "smart" form filter logic to use validators rather than widgets when building the query, ported enhancement to propel (refs #7139)
  * [23003] pegged Doctrine 1.2 revision until a migration strategy for its revision 6493 is in place or that change is reverted
  * [22987] updated all references from Doctrine:: to Doctrine_Core:: to reflect latest change in Doctrine 1.2. While Doctrie:: exists for BC we perform better by using the new (closes #7332 patch by lsmith)
  * [22983] Fixes for latest changes in Doctrine 1.2

10/12/09: Version 1.3.0 alpha2
------------------------------

  * [22490] fixed catalonian admin gen translation (closes #7213)
  * [22534] added directories generated by the core test suite
  * [22569] Turning off Doctrine level validation by default since it is not integrated with forms validation (addresses #5215)
  * [22575] Initial entry of doctrine:generate-migrations-diff task for Doctrine 1.2
  * [22585] updated propel to 1.4, patched web debug logger to work with new logging mechanism (thanks francois)
  * [22609] added accessor method for getting a particular embedded form
  * [22691] moved code hooking cleanup method to ensure directory has been set (closes #7260)
  * [22720] extended sfBrowser::click() to accept any CSS selector
  * [22731] changed signature for project:optimize task so an environment name is passed first, then 0-n application names (breaks BC with alpha 1)
  * [22748] fixed generation of form for doctrine models that utilize concrete inheritance (closes #7221)
  * [22757] removed sfLoader from core compile
  * [22759] fixed symfony coding standards in doctrine-generated model, table and migration classes
  * [22770] sfDoctrineGenerateMigrationTask using $config information instead of hardcoded path
  * [22795] fixed parsing of non-scalar parameters in doctrine WDT (closes #7252)
  * [22796] fixed view WDT when log message type is not a classname (closes #7238)
  * [22807] Switched Propel externals to HEAD
  * [22810] Removed symfony's custom isPrimaryString column attribute (use Propel's primaryString column attribute for the exact same feature)
  * [22811] added context.method_not_found event to facilitate the creation of lazy-loading factories
  * [22812] Fixed a problem with propel.ini custom settings not being read correctly
  * [22819] fixed sfAutoloadConfigHandler to work on windows (closes #7285, thanks andyr12345)
  * [22820] fixed formatting of permissions task error
  * [22827] fixed formatting of application option list when option has no shortcut
  * [22859] added up, down and dry-run options to doctrine:migrate, rendered migration exceptions using symfony's formatter
  * [22860] fixed Doctrine migration task either not using configured directory or not creating them
  * [22870] fixed sendNextImmediately() method (closes #7266)
  * [22873] fixed incorrect HTTP headers (closes #6966)
  * [22876] fixed app.yml configuration cascade blocked by empty file (closes #7298)
  * [22877] fixed i18n currencies order (closes #7244)
  * [22890] Added support for Propel native behaviors
  * [22894] deprecated ProjectConfiguration configureDoctrine and configureDoctrineConnection methods in favor of new doctrine.configure and doctrine.configure_connection events
  * [22899] updated sfForm::renderHiddenFields() to include hidden fields from embedded forms (closes #6578)
  * [22900] fixed broken form validation on concrete inheritance forms (closes #7253)
  * [22904] updated doctrine clean task for better DRY with existing code
  * [22910] made sfFormFilterDoctrine smarter so you don't need to modify getFields() to add a not-real column filter
  * [22914] moved methods that don't need to be generated from generator templates to base classes, added abstract signatures for the rest. removed unused getConnection() method.
  * [22917] abstracted methods from base ORM form classes to sfFormObject (refs #7140)
  * [22918] cleaned up forms and yaml upgrades
  * [22919] simplified creation of route collection name when creating a doctrine admin module, used plural option for route collection path prefix
  * [22921] moved creation of doctrine model builder options and cli configuration arrays to plugin configuration class, added filtering through the event dispatcher via doctrine.filter_model_builder_options and doctrine.filter_cli_config events
  * [22929] fixed forgetful autoloader when reloaded without an application configuration (closes #7142, closes #7299)
  * [22930] fixed bug in the inheritance with the FormFilters (closes #7313)
  * [22931] fixed wrong title url generated by sfWebDebugPanelCache (closes #7310)
  * [22933] removed unnecessary conditional logic (closes #7320, thanks andyr12345)
  * [22935] fixed sfMessageSource_MySQL produces blank white screen if mysql extension disabled (closes #7173)
  * [22936] removed check for GET variables when checking whether a template is cachable, limited caching to GET requests (closes #4708)
  * [22938] added Swift Mailer license in PEAR package.xml
  * [22948] added filtering of phing arguments through propel.filter_phing_args event
  * [22949] added propel:build task (refs #7139)
  * [22955] enhanced propel WDT, fixed some typos (refs #7139)
  * [22958] fixed blocked inheritance in doctrine forms (closes #7279)
  * [22959] updated doctrine:build task so --db option builds sql

09/26/09: Version 1.3.0 alpha1
------------------------------

Please visit the following URLs for a description of changes:

 * http://www.symfony-project.org/tutorial/1_3/en/whats-new
 * http://www.symfony-project.org/tutorial/1_3/en/upgrade
 * http://www.symfony-project.org/tutorial/1_3/en/deprecated
